Package org.globus.axis.handler

# Class CredentialHandler

java.lang.Object
org.apache.axis.handlers.BasicHandler
org.globus.axis.handler.CredentialHandler

All Implemented Interfaces:
  `Serializable`, `org.apache.axis.Handler`

public class CredentialHandler extends org.apache.axis.handlers.BasicHandler
Axis server-side request handler. To be used only in when deployed in Tomcat.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.apache.axis.handlers.BasicHandler

`makeLockable, name, options`

## Constructor Summary

Constructors
Constructor
Description
`CredentialHandler()`

## Method Summary

Modifier and Type
Method
Description
`protected Subject`
`getSubject(org.apache.axis.MessageContext msgCtx)`
`void`
`invoke(org.apache.axis.MessageContext msgContext)`

### Methods inherited from class org.apache.axis.handlers.BasicHandler

`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CredentialHandler

public CredentialHandler()

## Method Details

### invoke

public void invoke(org.apache.axis.MessageContext msgContext) throws org.apache.axis.AxisFault

Throws:
  `org.apache.axis.AxisFault`

### getSubject

protected Subject getSubject(org.apache.axis.MessageContext msgCtx)